package net.waltzstudio.base.generator.model.mysql;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

public class TableModel {

	public boolean hasAudit;

	public String logicalName;
	public String physicalName;

	public List<TableColumnModel> columns = new ArrayList<TableColumnModel>();

	public List<String> primaryKeys = new ArrayList<String>();
	public List<TableIndexModel> indexes = new ArrayList<TableIndexModel>();

	public Map<String, String> properties = new LinkedHashMap<String, String>();

}
